| Home | Libraries | People | FAQ | More

## Struct template logical_or

boost::proto::logical_or — A metafunction for generating logical-or expression types, a grammar element for matching logical-or expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct logical_or :  proto::transform< logical_or<T, U> > {
      // types
      typedef proto::expr< proto::tag::logical_or, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::logical_or, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<logical_or>::template impl<Expr, State, Data>
      {
      };
    };

## Description